# Handling SEO

One important aspect of building your own menu is making sure that search engines can effectively index all of your content. This will make sure that customers will find your store when they search for relevant keywords (e.g. products or brands that you carry). There are a few things you will need to consider when optimizing your site for search engines.

## Product URLs

The first SEO consideration is that you will need a separate URL for each product details page. This should be something like `/products/{product-name}`. The reason why you want separate pages for each product is that search engines will index each page, and will consider it relevant for search terms related to the page content. An added benefit (beyond SEO) to doing this is that it will enable you to easily link to a product page from elsewhere in your site or from an ad.

You will probably also want to create separate pages for brands and categories that you carry. This will allow queries for the brand to retrieve the relevant brand page, which will contain links to the products you carry for that brand.

## Product Metadata

Another thing you will also want to do is to include structured metadata that allows search engines to understand the content on the page. If you include this metadata, search engines can display relevant information (such as reviews) directly on the results page.

![](/files/J4QWcw0OwlLLRSO69yH5)

To include this information, you will want to add [meta tags](https://clutch.co/seo-firms/resources/meta-tags-that-improve-seo) as well as a JSON-LD schema. For JSON-LD, you will want to include the [Product](https://schema.org/Product) Schema.

Here is an example JSON-LD Schema that follows best practices:

```javascript
<script type="application/ld+json">
    {
        "@context":"https://schema.org/",
        "@type":"Product",
        "name":"Durban Poison",
        "description":"Durban Poison is one of the most desired cannabis strains in the world. Often called the \"espresso\" of pure Sativas, this strain delivers an uplifting, highly stimulating, clear-headed high which is perfect for being productive, creative or even hiking outdoors. Users will enjoy the sweet anise aroma and the creamy citrus taste which will usually keep them smiling for hours.  ",
        "brand":null,
        "category":"Flower",
        "image":["https://uploads.iheartjane.com/uploads/09c0fe6b-4434-44c0-8685-db665d59ea8d.jpg"],
        "aggregateRating":{"@type":"AggregateRating","ratingValue":4.4,"reviewCount":155},
        "review":[
            {
                "@type":"Review",
                 "reviewBody":"Durban poison is related to afghan strain somewhat.  Through a DR recommendation this has a THCv which helps with blood sugars in diabetics and weightloss. Yea I said weight loss.  I am  diabetic and have had great success in lowering my bloodsugars and loosing weight using durban poison.",
                 "datePublished":"2022-04-05T19:16:17.842Z",
                 "author":{"@type":"Person","name":"j****5"},
                 "reviewRating":{"@type":"Rating","ratingValue":5}
             },
             {
                 "@type":"Review",
                 "reviewBody":"The absolute #1 in my book. Best strain to do anything. Don't debate it, just try it. You will not be let down. Seriously. Just buy it. \nVery balanced everything, you can't ask for more.",
                 "datePublished":"2021-08-15T19:00:07.688Z",
                 "author":{"@type":"Person","name":"d****7"},
                 "reviewRating":{"@type":"Rating","ratingValue":5}},
             }]
         "additionalProperty":[
             {"@type":"PropertyValue","name":"Lineage","value":"sativa"},
             {"@type":"PropertyValue","name":"Flavors","value":"sweet, citrus, pine"},
             {"@type":"PropertyValue","name":"Effects","value":"euphoric, energetic, alert, daytime, creativity"}
         ]
     }
 </script>
```

## Sitemap and Robots

You will also need to generate a [sitemap](https://www.sitemaps.org/protocol.html) for your site, and to host it on a URL on your site. Your sitemap can either be in HTML or XML format. If you wish, you can directly submit your sitemap to major search engines using these instructions.

{% embed url="<https://yoast.com/help/submit-sitemap-search-engines>" %}

Additionally, you should host a `robots.txt` at the root of your site. This tells search engines to crawl your site, and also points to your sitemap. Your robots.txt can link to multiple sitemaps, such as your main website and your menu, which may each be generated programmatically.

Here is an example robots.txt

```
User-agent: *
Disallow: /cart/
Disallow: /profile/

Disallow: /
Sitemap: https://www.mysite.com/website-sitemap.xml
Sitemap: https://www.mysite.com/store-sitemap.xml
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iheartjane.com/jane-docs/implementing-roots/building-your-menu/handling-seo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
